/**
 * @file dogm-cmd.h
 * libdogm
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * @author JORDACIJEVIC Serz <serz@jordacijevic.name>
 * @date 2008/05/19
 *
 * @version $Revision: 1.0$
 *
 * @todo Nothing to do. - Everything perfect! ;-)
 *
 * URL: $HeadURL: http://serz.jordacijevic.name/?mmenu=project&smenu=libdogm$
 *
 * Last Modified: $Author: Jordacijevic Serz$
 */

#ifndef _DOGM_CMD_H_

/*
 * -------------------------------------------------------------- includes --
 */

/*
 * --------------------------------------------------------------- defines --
 */

#define _DOGM_CMD_H_

/*
 * -------------------------------------------------------------- typedefs --
 */

/*
 * --------------------------------------------------------------- globals --
 */

/*
 * ------------------------------------------------------------- functions --
 */

void dogm_cmd_fset_is(uint8_t is);
void dogm_cmd_fset_dh(uint8_t pos);
void dogm_cmd_dh_pos(uint8_t pos);
void dogm_cmd_entry(uint8_t entry);

void dogm_cmd_disp_clr(void);
void dogm_cmd_disp(uint8_t disp);

void dogm_cmd_init(uint8_t lcd_x, uint8_t lcd_y, uint8_t voltage, void (*remore_delay_ms)(double));

void dogm_cmd_curser_shift(uint8_t dir, uint8_t count);
void dogm_cmd_disp_shift(uint8_t dir, uint8_t count);

void dogm_cmd_curser_set(uint8_t x, uint8_t y);

#endif // _DOGM_CMD_H_

